List health checks
GET
/v1/healthcheck/
const url = 'https://example.com/v1/healthcheck/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/healthcheck/ \ --header 'Authorization: Bearer <token>'Return all health checks for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”agent
string format: uuid
cursor
string
The pagination cursor value.
page_size
integer
Number of results to return per page.
search
string
A search term.
severity
Array<integer>
0- ok1- warning2- critical
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
agent
string format: uuid
name
required
101- 2FA for users102- K8S integration103- Report creation104- Application creation105- Upgrade plan106- Reaching account limits107- Passwords age108- Suggest reservation201- Glouton auto-upgrade202- Duplicated agent203- Agent outdated204- Configuration warning205- Service configuration needed206- NRPE detected207- Reaching agent limits208- Smartctl install209- IPMI install301- Swap needed302- CPU usage could lead to server upgrade/downgrade303- Mem usage could lead to server upgrade/downgrade304- Disk usage prediction305- Pending security upgrades306- SSL: checks on cypher authorized and protocols versions109- Checks On-Call without users
integer
name_text
required
string
category
required
1- Bleemeo Account2- Bleemeo Server3- Server
integer
category_text
required
string
severity
0- ok1- warning2- critical
integer
severity_text
required
string
description
required
string
doc_link
required
string
result_text
string
created_at
required
string format: date-time
modified_at
required
string format: date-time
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "name": 101, "category": 1, "severity": 0 } ]}